%{!?perl_vendorlib:  %define perl_vendorlib  %(eval "`%{__perl} -V:installvendorlib`" ; echo $installvendorlib)}
%{!?perl_vendorarch: %define perl_vendorarch %(eval "`%{__perl} -V:installvendorarch`"; echo $installvendorarch)}
%{!?perl_version:    %define perl_version    %(eval "`%{__perl} -V:version`"          ; echo $version)}

%define modn   Test-Differences
%define modv   0.500
%define modp   %(echo %{modn} | cut -d'-' -f1)


Summary:       A Perl module to test for differences in strings and data structures
Name:          perl-%{modn}
Version:       %{modv}
Release:       2%{?dist}%{?pext}
License:       GPL+ or Artistic
Group:         Development/Libraries
Source0:       http://search.cpan.org/CPAN/authors/id/O/OV/OVID/%{modn}-%{modv}.tar.gz
URL:           http://search.cpan.org/dist/%{modn}/
Buildroot:     %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Vendor:        Curtis Poe <ovid@cpan.org>
Provides:      perl(Test::Differences) = %{modv}
Requires:      perl(:MODULE_COMPAT_%{perl_version})
Requires:      perl(Carp)
Requires:      perl(Data::Dumper)
Requires:      perl(Text::Diff) >= 0.35
BuildRequires: perl >= 5.6
BuildRequires: perl(Module::Build)
BuildRequires: perl(Pod::Coverage) >= 0.18
BuildRequires: perl(Test::More)
BuildRequires: perl(Test::Pod) >= 1.22
BuildRequires: perl(Test::Pod::Coverage) >= 1.08
BuildRequires: perl(Text::Diff) >= 0.35
BuildArch:     noarch


%description
Test::Differences can be used to test strings and data structures and show
differences if not ok.


%prep
%setup -q -n %{modn}-%{modv}


%build
%{__perl} Build.PL \
	--installdirs vendor

./Build


%check
./Build test


%install
[ -n "${RPM_BUILD_ROOT}" -a "${RPM_BUILD_ROOT}" != "/" ] && %{__rm} -rf ${RPM_BUILD_ROOT}
%{__mkdir_p} ${RPM_BUILD_ROOT}%{_prefix}

./Build pure_install \
	--destdir ${RPM_BUILD_ROOT}

find ${RPM_BUILD_ROOT} -type f -name ".packlist" -exec %{__rm} -f {} \;
find ${RPM_BUILD_ROOT} -depth  -empty -type d    -exec rmdir      {} \;

%{__chmod} -R u+w ${RPM_BUILD_ROOT}/*


%clean
[ -n "${RPM_BUILD_ROOT}" -a "${RPM_BUILD_ROOT}" != "/" ] && %{__rm} -rf ${RPM_BUILD_ROOT}


%files
%defattr(-,root,root)
%doc Changes README
%{perl_vendorlib}/%{modp}
%{_mandir}/man3/*.3*


%changelog
* Tue Nov 30 2010 Peter Pramberger <peterpramb@member.fsf.org> - 0.500-2
- Fixed missing dependencies

* Mon Nov 29 2010 Peter Pramberger <peterpramb@member.fsf.org> - 0.500-1
- Initial build
